Subject: Re: bug#6436: 23.2; C-h C-h incomprehensible to new users

From: Marcin Borkowski <[email-masked]>
Date: Thu, 22 Aug 2019 06:10:26 +0200

On 2019-08-22, at 01:41, Lars Ingebrigtsen <[email-masked]> wrote:

> Arne Babenhauserheide <[email-masked]> writes:
>
>> The integrated help in emacs is a great tool for beginners to learn
>> emacs, and C-h d, C-h k, C-h m and C-h t are extremely useful.
>>
>> Sadly the sheer number of help options made it extremely hard for me
>> in the beginning to find out what help I really needed. Most times is
>> was simply C-h d or C-h k.
>>
>> So I’d suggest to seperate the help options into two parts: “needed often by
>> most people” and “needed only in very specific situations”.
>>
>> Then just put the first at the beginning of the help output (common help
>> options) and in a next paragraph add the rest (advanced help options).
>>
>> That should make it far easier for beginners to find the help topic they need
>> (and I can safely tell people “if you need help, just type C-h C-h”).
>
> (I'm going through old bug reports that have unfortunately gotten no
> attention yet.)
>
> I think the difficult thing here would be to figure out what help
> commands are needed often and which ones are more obscure.  For
> instance, I use `C-h f' all the time, and I never use `C-h d', so I
> think it just varies.

FWIW, I've been using Emacs for about 20 years, and I just learned (or
maybe relearned) about C-h C-d.  OTOH, I've been using C-h k (but also
C-h f, C-h m, C-h w and some others) quite often for many, many years.

Best,

--
Marcin Borkowski
http://mbork.pl